<include file="public@header" />
<style>
li{
    list-style:none;
}
.js-ajax-form li
{
	list-style:none;
	width:160px;
	height:390px;
	border: 1px solid #C2D1D8;
	float:left;
	margin:10px;
}
.js-ajax-form li button
{
	margin-left:30px;
}
.js-ajax-form li span
{
	display:block;
	text-align:center
}
.js-ajax-form li .name
{
	width:157px;
	overflow:hidden;
	white-space:nowrap;
	text-overflow:ellipsis;
}
.full_btn
{
	float: left;
    height: 30px;
    padding: 0 18px;
    background: #1dccaa;
    border-radius: 4px;
    line-height: 30px;
    text-align: center;
    color: #fff;
    font-size: 14px;
    cursor: pointer;
    text-decoration: none;
    margin-left: 10px;
}
.full_btn:hover
{
	background: #356f64;
	color: #fff;
	text-decoration:none;
}
.xgplayer-start svg{
    margin: 0 !important;
}
.voice_live_bg{
    position: relative;
    left: 0;
    top: 0;
    background: url(__STATIC__/admin/images/monitor/voice_live_bg.png) no-repeat;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.live_style{
    width:100%;
    height:83%;
}

.voice_live_style{
    width:100%;
    height:83%;
    position: relative;
    top: -280px;
    left: 0;
    z-index: -2;
}

.ban_area{
    padding: 10px 20px;
}

.ban_area p{
    padding-left: 10%;
    width: 50%;
    float: left;
}

.clearboth{
    clear: both;
}

.ban_btn_area{
    text-align: center;
}

.ban_btn_area input{
    margin-top: 15px;
    width: 40px;
    height: 25px;
}

</style>
</head>
<body>
	<script src="__STATIC__/js/admin.js"></script>
	<script src="__STATIC__/home/js/socket.io.js"></script>
	<script src="__STATIC__/xigua/xgplayer.js?t=1610159896" type="text/javascript"></script>
    <script src="__STATIC__/xigua/index.js?t=1610159896" type="text/javascript"></script>
    <script src="__STATIC__/xigua/xgplayer-flv.js?t=1610159896" type="text/javascript"></script>
    <script src="__STATIC__/xigua/player.js?t=1586844774" type="text/javascript"></script>
    <script src="__STATIC__/js/layer/layer.js"></script>

	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{:lang('MONITORING')}</a></li>
		</ul>
		<form method="post" class="js-ajax-form" >
            <ul>
                <foreach name="lists" item="v">
                <li class="mytd">
					<span>{:lang('BROADCAST_DURATION')}:<?php
								$times = time()-$v['showid'];
								$result = '';
								$hour = floor($times/3600);
                                $minute = floor(($times-3600 * $hour)/60);
                                $second = floor((($times-3600 * $hour) - 60 * $minute) % 60);
                                $result = $hour.':'.$minute.':'.$second;
                                echo  $result;?>
                    </span>
                    <div style="width: 158px;height: 280px;">
                        <!-- 语音聊天室 -->
                        <if condition="$v['live_type'] eq '1' && $v['voice_type'] eq '0'">
                            <div class="voice_live_bg"></div>
                        </if>

                        <div id="<?php echo $v['uid'];?>"
							<if condition="$v['live_type'] eq '0'">
								class="live_style"
							<else />
								<if condition="$v['voice_type'] eq '1'">
									class="live_style"
								<else />
									class="voice_live_style"
								</if>
							</if>
						></div>
                    </div>
                    <div>
                        <span class="name">{:lang('HOST')}:<?php echo $v['userinfo']['user_nickname'];?></span>
                        <span>{:lang('ROOM_NUMBER')}:<?php echo $v['uid'];?></span>
                        <if condition="$v['live_type'] eq 0">
                        <span>{:lang('VIDEO_LIVE_STREAMING')}</span>
                        <else />
                        <if condition="$v['voice_type'] eq 0">
                            <span>{:lang('VOICE_CHAT_ROOM')}</span>
                        <else />
                            <span>{:lang('VIDEO_CHAT_ROOM')}</span>
                        </if>
                        </if>
                        <div style="text-align:center;">
                            <a  onclick="closeRoom('<?php echo $v['uid'];?>')" class="btn btn-xs btn-warning">{:lang('CLOSE')}</a>
                            <a  onclick="warning('<?php echo $v['uid'];?>')" class="btn btn-xs btn-warning">{:lang('WARN')}</a>
                            <a  onclick="banRoom('<?php echo $v['uid'];?>')" class="btn btn-xs btn-warning">{:lang('BAN')}</a>
                            <!-- <a  onclick="fullRoom('<?php echo $v['uid'];?>')" class="full_btn mybtn">大屏</a> -->
                        </div>
                    </div>
                </li>
                <script type="text/javascript">
                    (function(){
                        xgPlays('{$v['uid']}','{$v['url']}');
                    })()
                </script>
                </foreach>
            </ul>

		</form>
        <div style="clear:both;"></div>
        <div class="pagination"  style="clear:both">{$page}</div>
	</div>

    <script type="text/javascript">
        var socket = new io("{$config['chatserver']}");
        function closeRoom(roomId){
            var data2 = {"token":"1234567","roomnum":roomId};
            $.ajax({
                async: false,
                url: '/admin/Monitor/stopRoom',
                data:{uid:roomId},
                dataType: "json",
                success: function(data){
                    console.log(data);
                    if(data.status ==0){
                        alert(data.info);
                    }else{
                        socket.emit("superadminaction",data2);
                        alert("{:lang('ROOM_CLOSED')}");
                        location.reload();
                    }
                },
                error:function(XMLHttpRequest, textStatus, errorThrown){
                    alert('{:lang("SHUT_DOWN_FAILED_PLEASE_TRY_AGAIN")}');
                }
            });
        }

        function warning(roomId){
            var data2 = {"token":"1234567","roomnum":roomId};
            socket.emit("warning",data2);
            layer.msg('{:lang("LIVE_ROOM")} '+roomId+' {:lang("WARNING_SUCCESS")}');
        }

        var ban_length='30min';

        function banRoom(roomId){

            layer.open({
                type: 1,
                title:'{:lang("ROOM")} '+roomId+' {:lang("BLOCK_TIME")}',
                skin: 'layui-layer-rim', //加上边框
                area: ['420px', '280px'], //宽高
                content: '<div class="ban_area">\
                            <p><label><input name="length" type="radio" checked="true" value="30min" onclick="changeBanLength(\'30min\')"/> 30{:lang("MINUTE")}</label></p>\
                            <p><label><input name="length" type="radio" value="1day" onclick="changeBanLength(\'1day\')"/> {:lang("ONE_DAY")}</label></p>\
                            <p><label><input name="length" type="radio" value="7day" onclick="changeBanLength(\'7day\')"/> {:lang("SEVEN_DAYS")}</label></p>\
                            <p><label><input name="length" type="radio" value="15day onclick="changeBanLength(\'15day\')""/> {:lang("FIFTEEN_DAYS")}</label></p>\
                            <p><label><input name="length" type="radio" value="30day" onclick="changeBanLength(\'30day\')"/> {:lang("THIRTY_DAYS")}</label></p>\
                            <p><label><input name="length" type="radio" value="90day" onclick="changeBanLength(\'90day\')"/> {:lang("NINETY_DAYS")}</label></p>\
                            <p><label><input name="length" type="radio" value="180day" onclick="changeBanLength(\'180day\')"/> {:lang("ONE_HUNDRED_EIGHTY_DAYS")}</label></p>\
                            <p><label><input name="length" type="radio" value="all" onclick="changeBanLength(\'all\')"/> {:lang("PERMANENT")}</label></p>\
                            <div class="clearboth"></div>\
                            <div class="ban_btn_area">\
                                <input type="button" onclick="banRoomSubmit('+roomId+')" value="{:lang("BAN")}" />\
                            </div>\
                        </div>'
            });
        }

        function changeBanLength(val){
            ban_length=val;
            layer.msg(ban_length);
        }

        function banRoomSubmit(roomId){
            var data2 = {"token":"1234567","roomnum":roomId};
            //询问框
            layer.confirm('{:lang("CONFIRM_BAN_THIS_LIVE_ROOM")}', {
              btn: ['{:lang("OK")}','{:lang("CANCEL")}'] //按钮
            }, function(){
               
              $.ajax({
                'type':'post',
                'url':'/admin/Monitor/banRoom',
                'data':{roomid:roomId,length:ban_length},
                'dataType':'json',
                'success':function(data){
                    var code=data.code;
                    var msg=data.msg;
                    if(code!=0){
                        layer.msg(msg);
                        return;
                    }

                    layer.msg(msg,{time:1000},function(){
                        layer.closeAll();
                        socket.emit("superadminaction",data2);
                        location.reload();
                    });

                    return;
                },
                'error':function(e){
                    layer.msg('{:lang("THE_BAN_FAILED_PLEASE_TRY_AGAIN")}');
                    reutrn;
                }
            });
            }, function(){
                layer.close(layer.index);
            });
        }
    </script>
</body>
</html>